import { ControlValueAccessor, FormGroup } from '@angular/forms';
import { MatFormFieldAppearance } from '@angular/material/form-field';
import { AggregationRole, CompareToEnum, DataSettings, Dimension, DisplayBehaviour, EntityType } from '@metad/ocap-core';
import * as i0 from "@angular/core";
export declare class NgmCompareMemberSelectComponent implements ControlValueAccessor {
    AggregationRole: typeof AggregationRole;
    DISPLAY_BEHAVIOUR: DisplayBehaviour;
    COMPARE_TO_ENUM: typeof CompareToEnum;
    private readonly _dialog?;
    private readonly _viewContainerRef;
    appearance: MatFormFieldAppearance;
    label: string;
    get dataSettings(): DataSettings;
    set dataSettings(value: DataSettings);
    private readonly dataSettings$;
    entityType: EntityType;
    get dimension(): Dimension;
    set dimension(value: Dimension);
    private dimension$;
    disabled: boolean;
    readonly property$: import("rxjs").Observable<import("@metad/ocap-core").Property>;
    readonly formGroup: FormGroup;
    readonly trigger$: import("rxjs").Observable<string>;
    get type(): any;
    set type(value: any);
    get value(): any;
    set value(value: any);
    /**
    |--------------------------------------------------------------------------
    | Signals
    |--------------------------------------------------------------------------
    */
    readonly isCalendar$: import("@angular/core").Signal<boolean>;
    /**
    |--------------------------------------------------------------------------
    | Subscriptions (effect)
    |--------------------------------------------------------------------------
    */
    private _typeChanging;
    private valueChangesSub;
    private _onChange;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    selectByMember(event: any): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgmCompareMemberSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgmCompareMemberSelectComponent, "ngm-compare-member-select", never, { "appearance": { "alias": "appearance"; "required": false; }; "label": { "alias": "label"; "required": false; }; "dataSettings": { "alias": "dataSettings"; "required": false; }; "entityType": { "alias": "entityType"; "required": false; }; "dimension": { "alias": "dimension"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, {}, never, never, true, never>;
}
